## com.saxonica.codegen
Class GDayValueCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.GDayValueCompiler

    public class GDayValueCompiler

extends ValueCompiler

Compile Java code representing a date constant value

Constructor Summary
`GDayValueCompiler()`

Method Summary
`java.lang.String` `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compilePush, compileToCharSequence, compileToEffectiveBooleanValue, compileToItem, compileToIterator, getJavaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GDayValueCompiler

    public GDayValueCompiler()

Method Detail

### toJavaExpression

    public java.lang.String toJavaExpression(AtomicValue value,
                                             CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Copyright (c) Saxonica Limited. All rights reserved.